Skip to main content
POST
/
v1
/
jobs
/
submit
Gen 4.5 — Text to Video
curl --request POST \
  --url https://api.muvi.video/v1/jobs/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": {
    "prompt": "<string>",
    "aspect_ratio": "<string>",
    "duration": "<string>"
  }
}
'
{
  "jobId": "<string>",
  "status": "<string>",
  "estimatedCompletionTime": "<string>",
  "costMicroCents": 123
}
Generate high-quality videos from text descriptions with Runway’s Gen 4.5 model. Supports flexible duration options up to 10 seconds and multiple aspect ratios.
PropertyValue
ProviderRunway
ModelGen 4.5
CapabilityText to Video
Base Cost120,000 micro-cents/second ($0.12/sec)
Processing Time~180 seconds

Request Body

model
string
required
Model slug. Use runway/gen-4.5/text-to-video for text-to-video generation.
input
object
required
Input parameters for text-to-video generation.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 120,000 micro-cents per second ($0.12/sec)
finalCost = baseCost × duration
FactorOptionMultiplier
Duration22x
33x
44x
55x
66x
77x
88x
99x
1010x
Default cost: 5 seconds = 120,000 × 5 = 600,000 micro-cents ($0.60)

Response

jobId
string
Unique identifier for the submitted job.
status
string
Initial job status. Always "pending" on successful submission.
estimatedCompletionTime
string
ISO 8601 timestamp of the estimated completion time.
costMicroCents
number
The cost of the job in micro-cents.

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "runway/gen-4.5/text-to-video",
    "input": {
      "prompt": "A drone shot flying over a tropical beach at sunset with waves crashing on the shore",
      "aspect_ratio": "16:9",
      "duration": "5"
    }
  }'